# Uses of Interface
org.apache.felix.http.base.internal.registry.PathResolver

Packages that use PathResolver
Package
Description
org.apache.felix.http.base.internal.registry

## Uses of PathResolver in org.apache.felix.http.base.internal.registry

Classes in org.apache.felix.http.base.internal.registry that implement PathResolver
Modifier and Type
Class
Description
`static class`
`PathResolverFactory.AbstractMatcher`
`static final class`
`PathResolverFactory.DefaultMatcher`
`static final class`
`PathResolverFactory.ExactAndPathMatcher`
`static final class`
`PathResolverFactory.ExactMatcher`
`static final class`
`PathResolverFactory.ExtensionMatcher`
`static final class`
`PathResolverFactory.PathMatcher`
`static final class`
`PathResolverFactory.RegexMatcher`
`static final class`
`PathResolverFactory.RootMatcher`
Methods in org.apache.felix.http.base.internal.registry that return PathResolver
Modifier and Type
Method
Description
`static @NotNull PathResolver`
PathResolverFactory.`createPatternMatcher(@Nullable ServletHandler handler, @NotNull String pattern)`
`static @NotNull PathResolver`
PathResolverFactory.`createRegexMatcher(@NotNull String regex)`
Methods in org.apache.felix.http.base.internal.registry with parameters of type PathResolver
Modifier and Type
Method
Description
`int`
PathResolverFactory.AbstractMatcher.`compareTo(PathResolver o)`